Bug 1004030 - Review Request: ovirt-scheduler-proxy - Scheduling Proxy for Open Virtualization
Review Request: ovirt-scheduler-proxy - Scheduling Proxy for Open Virtualization
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 14:10 EDT by Martin Sivák
Modified: 2013-11-21 10:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msivak: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Martin Sivák 2013-09-03 14:10:55 EDT
Spec URL: http://msivak.fedorapeople.org/newpkg/ovirt-scheduler-proxy.spec
SRPM URL: http://msivak.fedorapeople.org/newpkg/ovirt-scheduler-proxy-0.1-1.fc19.src.rpm
Description: The scheduler proxy runs user defined scripts to filter and fine-tune
load-balancing of their oVirt system.
Fedora Account System Username: msivak

Please note that the fedora-review tool sees java source code, but all java files are deleted in the %prep section.
Comment 1 Martin Sivák 2013-09-05 13:02:52 EDT
Please use the new version as Juan had comments about the licensing.

Spec URL: http://msivak.fedorapeople.org/newpkg/ovirt-scheduler-proxy.spec
SRPM URL: http://msivak.fedorapeople.org/newpkg/ovirt-scheduler-proxy-0.1.1-1.fc19.src.rpm
Comment 2 Stanislav Ochotnicky 2013-09-10 03:34:06 EDT
Review flag ? is supposed to be set by reviewer when he starts the review :-)
Comment 3 Stanislav Ochotnicky 2013-09-10 03:56:38 EDT
First a few things which I think should be addressed before I launch a full-scale review:
 * Source tarball cannot be reproduced. Are you sure the instructions are correct? Upstream git has no tags in it...
 * If the upstream does't handle log rotation it would be a good idea to ship at least some basic logrotate configuration
 * There are example plugins and sample configurations in upstream tarball but they are not packaged. This should be fixed IMO
 * Perhaps you could use "%{name}" instead of "ovirt-scheduler-proxy" everywhere but that's up to you (it's shorter after all...)
Comment 4 Martin Sivák 2013-09-10 05:54:28 EDT
Please use a new version:

Spec URL: http://msivak.fedorapeople.org/newpkg/ovirt-scheduler-proxy.spec
SRPM URL: http://msivak.fedorapeople.org/newpkg/ovirt-scheduler-proxy-0.1.2-1.fc19.src.rpm

> * If the upstream does't handle log rotation it would be a good idea to ship at least some basic logrotate configuration
The daemon does it's own log rotation using logging.handlers.RotatingFileHandler

>  * Source tarball cannot be reproduced. Are you sure the instructions are correct? Upstream git has no tags in it...
It will once I get gerrit to do that for me...
Comment 5 Stanislav Ochotnicky 2013-09-16 04:32:22 EDT
I've been waiting for some change that would enable me to recreate the tarball, but this hasn't happened yet. I will not continue the review without being able to verify the tarball or you changing the package to some pre-release versioning scheme which would allow me to just check git hashes.

This is either a final 0.1.2 upstream release and there has to be tarball and/or tag in git. Otherwise I consider it a pre-release and the release tag of spec has to be changed accordingly

Note You need to log in before you can comment on or make changes to this bug.